# Go-e621 SDK

An unofficial e621 SDK (Client) library to interact with **e621**, **e923** and **e6ai**. Maintained by the Anthrove Development Team.

- Caching?
- Auto pagination
  - sync
  - async
- connected/inelegant calls
- more docs

# Completeness

_Legend_

|       Symbol       | Meaning               |
|:------------------:|:----------------------|
|        :x:         | Not implemented       |
| :heavy_minus_sign: | Partially implemented |
| :heavy_check_mark: | Fully implemented     |

_High Level API_

| Area             |      Complete      | Comment |
|:-----------------|:------------------:|:--------|
| Authentication   |        :x:         |         |
| Posts            | :heavy_minus_sign: |         |
| Tags             | :heavy_minus_sign: |         |
| Tag aliases      |        :x:         |         |
| Tag implications |        :x:         |         |
| Notes            |        :x:         |         |
| Pools            |        :x:         |         |
| Users            | :heavy_check_mark: |         |
| Favorites        | :heavy_minus_sign: |         |
| DB export        |        :x:         |         |

_Mid Level API_

| Area             |        Get         | Set |
|:-----------------|:------------------:|:----|
| Authentication   |        :x:         |     |
| Posts            | :heavy_check_mark: |     |
| Tags             | :heavy_check_mark: |     |
| Tag aliases      |        :x:         |     |
| Tag implications |        :x:         |     |
| Notes            | :heavy_check_mark: |     |
| Pools            | :heavy_check_mark: |     |
| Users            | :heavy_check_mark: |     |
| Favorites        | :heavy_check_mark: |     |
| DB export        |        :x:         |

_Low Level API_

| Area             |        Get         | Set |
|:-----------------|:------------------:|:----|
| Authentication   |        :x:         |     |
| Posts            | :heavy_check_mark: |     |
| Tags             | :heavy_check_mark: |     |
| Tag aliases      |        :x:         |     |
| Tag implications |        :x:         |     |
| Notes            | :heavy_check_mark: |     |
| Pools            | :heavy_check_mark: |     |
| Users            | :heavy_check_mark: |     |
| Favorites        | :heavy_check_mark: |     |
| DB export        |        :x:         |     |