package model

import (
	"golang.org/x/time/rate"
	"net/http"
)

type RequestContext struct {
	Client      http.Client
	RateLimiter *rate.Limiter
	Host        string
	UserAgent   string
	Username    string
	APIKey      string
}
